MyEclipse Forums
This thread has been locked & this forum has been archived.
Please post new topics to Java EE Development (EJB, JSP, Struts, XDoclet, etc.)
View previous topic Printable version Log in to check your private messages View next topic
Author Message
olivierNYC
Post subject: 1.8.0 integration  PostPosted: Apr 09, 2009 - 07:36 PM
Registered Member
Registered Member


Joined: Feb 28, 2009
Posts: 1

any plans for an integration of the new stable icefaces release?

thanks.

O-
 
 View user's profile Send private message  
Reply with quote Back to top
support-nipun
Post subject: RE: 1.8.0 integration  PostPosted: Apr 10, 2009 - 03:24 PM
Registered Member
Registered Member


Joined: Apr 18, 2007
Posts: 8012

We don't have an ETA for this integration at the moment but I'll try to push this for our next release (7.5).

_________________
Nipun
MyEclipse Support
 
 View user's profile Send private message Send e-mail  
Reply with quote Back to top
luiscolorado
Post subject: RE: 1.8.0 integration  PostPosted: Apr 10, 2009 - 07:56 PM
Registered Member
Registered Member


Joined: Jun 20, 2007
Posts: 2

I seem to remember that it was possible to make ICEFaces version 1.7.2 almost immediately available to MyEclipse. Basically you had to download the ICEFaces ZIP file, and then add it to MyEclipse.

Does a similar procedure applies to MyEclipse 7.1 and ICEFaces 1.8? I have been looking for the procedure, but I can't find it.

I hope you may remember how it was done, and pass it around.

Thanks!

Luis
 
 View user's profile Send private message  
Reply with quote Back to top
support-nipun
Post subject: RE: 1.8.0 integration  PostPosted: Apr 13, 2009 - 10:11 PM
Registered Member
Registered Member


Joined: Apr 18, 2007
Posts: 8012

Luis,
I'm not sure if updating the libraries alone will get this to work but you can try it out. Also, I just got a word from the management and 1.8 will make it to the ME 7.5 release.

_________________
Nipun
MyEclipse Support
 
 View user's profile Send private message Send e-mail  
Reply with quote Back to top
dwighte
Post subject: RE: 1.8.0 integration  PostPosted: Apr 29, 2009 - 06:54 PM
Registered Member
Registered Member


Joined: Oct 10, 2008
Posts: 20

Quote:

I'm not sure if updating the libraries alone will get this to work but you can try it out

How would i do that? I tried using the update manager and adding a "local" site or archive but it didn't recognize the zip or jars within the zip as a repository. I couldn't find any other info about adding/upgrading plugins without using the update facility.

curiously, altho' i just installed a fresh ME 7.1, the help file is titled "7.0", and has this text (under Working with Update sites, item 5): "In the current version of MyEclipse 7.0, plug-ins that you install from custom update sites are not yet updated by the same facilities as MyEclipse 7.0 plug-ins. In MyEclipse 7.1 we will have support for updating existing plug-ins installed from custom update sites."
 
 View user's profile Send private message  
Reply with quote Back to top
dwighte
Post subject: RE: 1.8.0 integration  PostPosted: Apr 30, 2009 - 04:22 AM
Registered Member
Registered Member


Joined: Oct 10, 2008
Posts: 20

Well, i went looking for other ways to install stuff ... with myEclipse 7.1/eclipse 3.4, there is no /plugins directory in the myeclipse folder. There is a /genuitec/commons/plugins, but that's not where the old icefaces libs were ... they were buried multiple levels deep in myeclipse\configuration\org.eclipse.osgi\bundles\...
However, there was an empty /myeclipse/dropins folder, so i searched help on that, and found in the "new in eclipse 3.4" topic a brief paragraph indicating plugins could be put there "separate from the base application". (For some reason, the Eclipse help about "upgrading eclipse" doesn't mention this folder; and MyEclipse help has nothing about adding features outside of the update manager.)

So I unzipped the icefaces files into /dropins, and restarted MyEclipse, and the libraries DID show up in the build path configuration dialog. (Although i'm relatively certain that before i added the new libs, all the libs were in alpha order in the dialog box, and now they're all more or less randomly ordered!)

So it's working now, but i wonder if there's a better (more correct?) way that would make it part of the "base application".

One more weird thing ... i just looked, and it appears that the timestamp of every single file (1600 of them) in the myeclipse\configuration\org.eclipse.osgi\bundles directory tree was updated when i restarted myeclipse!!
 
 View user's profile Send private message  
Reply with quote Back to top
support-nipun
Post subject: RE: 1.8.0 integration  PostPosted: Apr 30, 2009 - 10:27 PM
Registered Member
Registered Member


Joined: Apr 18, 2007
Posts: 8012

You can also go to Windows > Prefs > MyEclipse > Project Capabilities > Icefaces and select a module there and update the libraries.

_________________
Nipun
MyEclipse Support
 
 View user's profile Send private message Send e-mail  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 6 Hours
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.
View previous topic Printable version Log in to check your private messages View next topic
Powered by PNphpBB2 © 2003-2004 The PNphpBB Group
Credits